Last Comment Bug 478927 - Need a way from chrome to know when error pages load
: Need a way from chrome to know when error pages load
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Document Navigation (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla15
Assigned To: O. Atsushi (Torisugari)
:
Mentors:
Depends on: 673752
Blocks: 623155 752447
  Show dependency treegraph
 
Reported: 2009-02-17 12:23 PST by Johnathan Nightingale [:johnath]
Modified: 2012-05-19 23:51 PDT (History)
7 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposal v1 (3.23 KB, patch)
2012-04-26 06:49 PDT, O. Atsushi (Torisugari)
bugs: review+
bzbarsky: superreview+
Details | Diff | Review
Test (3.92 KB, patch)
2012-04-27 15:52 PDT, O. Atsushi (Torisugari)
bugs: review+
Details | Diff | Review
proposal v1.1 (3.32 KB, patch)
2012-04-28 06:43 PDT, O. Atsushi (Torisugari)
no flags Details | Diff | Review

Description Johnathan Nightingale [:johnath] 2009-02-17 12:23:28 PST
Whether this means firing DOMContentLoaded on error pages, or inventing some new event that is error-page-specific, it would be extremely helpful to be able to listen for error page loads.

It would help with bugs like bug 425001, but also with things like bug 428948
Comment 1 O. Atsushi (Torisugari) 2012-04-26 06:49:34 PDT
Created attachment 618640 [details] [diff] [review]
proposal v1

I'm not yet sure this is the right fix for bug 623155, but, in general, it would be useful.

>+   *   |aWebProgress| does NOT set this flag when it did not try to load a new
>+   *   contents. In this case, it should set LOCATION_CHANGE_SAME_DOCUMENT.
If this behavior is not allowed, probably docshell needs another member variable to store this flag.
Comment 2 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2012-04-27 11:34:10 PDT
Comment on attachment 618640 [details] [diff] [review]
proposal v1

This needs tests.
Comment 3 O. Atsushi (Torisugari) 2012-04-27 15:52:39 PDT
Created attachment 619197 [details] [diff] [review]
Test

Test, appending to bug 311007's.

BTW, during writing the test, I found that my comment for the idl 

> Both |aURI| and |aRequest| may be null.

is a lie. Always aURI is not null. However it can be converted from null to <about:blank> in a very edge case, though I don't know how to reproduce.
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-04-27 21:26:49 PDT
Comment on attachment 618640 [details] [diff] [review]
proposal v1

sr=me
Comment 5 O. Atsushi (Torisugari) 2012-04-28 06:43:36 PDT
Created attachment 619290 [details] [diff] [review]
proposal v1.1

Fixed IDL comments.

Note You need to log in before you can comment on or make changes to this bug.